---
import type { Product } from "@/products/models/types/product.type";
import Paginator from "@/shared/components/Paginator.astro";
import { Image } from "astro:assets";
import CardProduct from "./card-product/CardProduct.astro";

interface Props {
  products: Product[];
  maxPages: number;
  page: number;
}

const { products, maxPages, page } = Astro.props;
---

<div class="flex flex-wrap justify-center my-8 w-full">
  {
    products.map((product: any) => (
      <CardProduct
        id={product.id}
        title={product.title}
        price={product.price}
        description={product.description}
        thumbnail={product.images[0]}
        categoryName={product.category.name}
      />
    ))
  }
  {
    products.length > 0 && (
      <div class="flex justify-center my-4 w-full">
        <Paginator page={page} maxPage={maxPages} />
      </div>
    )
  }
  {
    products.length === 0 && (
      <div class="flex flex-col items-center justify-center h-full w-full">
        <Image
          src="/not-found-products.webp"
          alt="Not found products icon"
          height={300}
          width={300}
        />
        <h1 class="text-center text-4xl font-black text-violet-400 w-full">
          There are no products
        </h1>
        <p class="mt-4 text-lg text-center w-2/4">
          No products found for the filters used, try again with others
        </p>
      </div>
    )
  }
</div>
